%define pkgname debianutils

Name:       run-parts
Version:    4.8.4
Release:    %mkrel 5
Epoch:      1
Summary:    Run scripts or programs in a directory
License:    GPLv2+
Group:      System/Base
URL:        https://salsa.debian.org/debian/debianutils
Source0:    https://ftp.debian.org/debian/pool/main/d/%{pkgname}/%{pkgname}_%{version}.tar.xz
Patch0:     %{name}-3.2.1-mga-blacklist-rpm-files.patch
Patch1:     %{name}-3.2.1-mga-allow-dots-in-filenames.patch

%description
run-parts runs a number of scripts or programs found in a single
directory. Filenames should consist entirely of upper and lower
case letters, digits, underscores, and hyphens. Subdirectories of
directory and files with other names will be silently ignored.


%prep
%setup -q -n %{pkgname}
%autopatch -p1

%build
%configure
%make_build

%install
install -D -m 755 %{name}  %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.8  %{buildroot}%{_mandir}/man8/%{name}.8
for lang in de es fr sl; do
    install -D -m 644 po4a/$lang/%{name}.8  %{buildroot}%{_mandir}/$lang/man8/%{name}.8
done

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc debian/changelog debian/copyright
%{_bindir}/run-parts
%{_mandir}/man8/run-parts.8*


%changelog
* Fri Apr 05 2024 wally <wally> 1:4.8.4-5.mga10
+ Revision: 2054681
- basesystem rebuild for i686

* Tue Mar 15 2022 umeabot <umeabot> 1:4.8.4-4.mga9
+ Revision: 1792315
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1:4.8.4-3.mga8
+ Revision: 1516725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:4.8.4-2.mga7
+ Revision: 1300910
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 1:4.8.4-1.mga7
+ Revision: 1220261
- Update to version 4.8.4
- Rediffed patches

* Fri Feb 12 2016 umeabot <umeabot> 1:4.4-7.mga6
+ Revision: 958802
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1:4.4-6.mga6
+ Revision: 867883
- rebuild for mga6

* Wed Oct 15 2014 umeabot <umeabot> 1:4.4-4.mga5
+ Revision: 747298
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.4-3.mga5
+ Revision: 689009
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:4.4-2.mga5
+ Revision: 531723
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 1:4.4-1.mga4
+ Revision: 464818
- 4.4

* Sun Mar 17 2013 lmenut <lmenut> 1:4.2-4.mga3
+ Revision: 403613
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Wed Jan 23 2013 fwang <fwang> 1:4.2-3.mga3
+ Revision: 391525
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1:4.2-2.mga3
+ Revision: 381636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 15 2012 kamil <kamil> 1:4.2-1.mga2
+ Revision: 223508
- new version 4.2
- install missing man pages in missing languages (de, es, and es)
- new upstream package (debianutils) version 4.2
- rediffed and renamed patches
  o mga-allow-dots-in-filenames.patch
  o mga-blacklist-rpm-files.patch
- clean .spec

* Wed Jan 12 2011 blino <blino> 1:3.2.1-8.mga1
+ Revision: 6814
- update URL
- update distro name
- imported package run-parts


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.1-7mdv2011.0
+ Revision: 607383
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:3.2.1-6mdv2010.1
+ Revision: 523936
- rebuilt for 2010.1

* Tue Aug 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.2.1-5mdv2010.0
+ Revision: 421072
- set epoch, to ease upgrade from inccorrectly versioned previous release

* Tue Aug 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.1-4mdv2010.0
+ Revision: 420852
- fix regexp in allow-dots-in-filenames.patch

* Mon Aug 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.1-3mdv2010.0
+ Revision: 420536
- use debianutils tarball as source, with mandriva modifications as patches
- drop outdated foreign language man pages
- do not allow dot as first character in filenames

* Mon Aug 24 2009 Nicolas Vigier <nvigier@mandriva.com> 3.2.1-2mdv2010.0
+ Revision: 420431
- bump release

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version (fix #52274)

* Mon Jun 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.13-1mdv2010.0
+ Revision: 386122
- new version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.15-3mdv2009.1
+ Revision: 351540
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.15-2mdv2009.0
+ Revision: 225340
- rebuild

* Fri Mar 28 2008 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> 1.15-1mdv2008.1
+ Revision: 190880
- added localized man pages
- branched out run-parts from setup-2.7.11-1mdv2008.1
- Created package structure for run-parts.

  + Pixel <pixel@mandriva.com>
    - fix conflict (setup 2.7.12 is not out yet)
    - minor fixes

